# petsc4py.PETSc.Viewer.FileMode

class petsc4py.PETSc.Viewer.FileMode

  Bases: `object`

  Viewer file mode.

  Attributes Summary

  `A` | Constant `A` of type `int`
  `APPEND` | Constant `APPEND` of type `int`
  `APPEND_UPDATE` | Constant `APPEND_UPDATE` of type `int`
  `AU` | Constant `AU` of type `int`
  `R` | Constant `R` of type `int`
  `READ` | Constant `READ` of type `int`
  `U` | Constant `U` of type `int`
  `UA` | Constant `UA` of type `int`
  `UPDATE` | Constant `UPDATE` of type `int`
  `W` | Constant `W` of type `int`
  `WRITE` | Constant `WRITE` of type `int`

  Attributes Documentation

  A: int = A

    Constant `A` of type `int`

  APPEND: int = APPEND

    Constant `APPEND` of type `int`

  APPEND_UPDATE: int = APPEND_UPDATE

    Constant `APPEND_UPDATE` of type `int`

  AU: int = AU

    Constant `AU` of type `int`

  R: int = R

    Constant `R` of type `int`

  READ: int = READ

    Constant `READ` of type `int`

  U: int = U

    Constant `U` of type `int`

  UA: int = UA

    Constant `UA` of type `int`

  UPDATE: int = UPDATE

    Constant `UPDATE` of type `int`

  W: int = W

    Constant `W` of type `int`

  WRITE: int = WRITE

    Constant `WRITE` of type `int`